<html>
<head>
	<title>NFO Viewer</title>
	<style>
        body
        {
            color: #000;
            font-family: Verdana, Arial;
            font-size: 12px;
            line-height: 20px;
        }

        td
        {
            font-size: 12px;
            line-height: 20px;
        }

        h1, h2, h3
        {
            color: #a191d6;
        }

        a
        {
            color: #506ba1;
            text-decoration: none;
        }

        a:Hover
        {
            color: red;
            text-decoration: underline;
        }

        pre
        {
            border: 1px solid #a191d6;
            padding: 8px;
            background: #e1d8fc;
        }


        #params td
        {
            border: 1px solid #a191d6;
            background: #e1d8fc;
            font-size: 14px;
        }
	</style>
</head>

<body>

<h1>NFO Viewer</h1>

<form action="nfogen.php" method="post">

<table border="0" cellpadding="4" cellspacing="2" style="background: #a191d6" id="params">
<tr>
    <td>Example NFO File:</td>
    <td>
        <select name="nfo" size="1">
        <option value="asx_fe.nfo">Asphyx \ Fatal Error
        <option value="ascb_100.nfo">ACID 100 \ Block ASCII Cluster
        <option value="oddity.nfo">Oddity \ Cinema 4D
        <option value="damn.nfo">Damn \ Damn NFO Viewer
        <option value="blade_batman.nfo">Blade Runners \ Batman
        <option value="classic_pinball.nfo">Classic \ Pinball Fantasies
        <option value="razor_arctic.nfo">Razor 1911 \ Arctic Moves
        <option value="risc_1293.nfo">RISC \ 1293
        <option value="zeus_syndicate.nfo">Zeus \ Syndicate Wars
        </select>
    </td>
</tr>
<tr>
    <td>Font Colour:</td>
    <td>
        <table>
        <tr>
            <td style="border: 0px">
                <input type="radio" name="colour" value="0" checked="checked" id="white"><label for="white">White</label><br />
                <input type="radio" name="colour" value="1" id="green"><label for="green">Green</label><br />
                <input type="radio" name="colour" value="2" id="amber"><label for="amber">Amber</label><br />
                <input type="radio" name="colour" value="3" id="wb"><label for="wb">White on Blue</label><br />
                <input type="radio" name="colour" value="4" id="red"><label for="red">Deep Red</label>
            </td><td style="border: 0px">
                <input type="radio" name="colour" value="5" id="bw"><label for="bw">Black on White</label><br />
                <input type="radio" name="colour" value="6" id="silver"><label for="silver">Silver</label><br />
                <input type="radio" name="colour" value="7" id="gold"><label for="gold">Gold</label><br />
                <input type="radio" name="colour" value="8" id="rainbow"><label for="rainbow">Rainbow</label><br />
                <input type="radio" name="colour" value="9" id="blue"><label for="blue">Blue</label>
            </td>
        </tr>
        </table>
    </td>
</tr>
<tr>
    <td>Background Colour:</td>
    <td><input type="text" name="bg" size="7" value="#000000"></td>
</tr>
<tr>
    <td colspan="2" align="center"><input type="submit" value="Render NFO" /></td>
</tr>
</table>

</form>

<h2>What parameters can I set?</h2>

<p>You have 3 parameters available, only one of which is actually required.</p>

<table border="0" cellpadding="4" cellspacing="2" style="background: #a191d6" id="params">
<tr>
    <td><strong>Parameter</strong></td>
    <td><strong>Result</strong></td>
</tr>
<tr>
    <td><em>nfo</em><br />string</td>
    <td><p><strong>Required.</strong> This is the path and filename of the NFO file you wish to display. You can include directories, or directory commands, but not URLs.</p><p>Examples:</p><p>&amp;nfo=trsi.nfo<br />&amp;nfo=/files/nfo/damn.nfo<br />&amp;nfo=../files/storm.nfo</p></td>
</tr>
<tr>
    <td><em>colour</em><br />integer<br />0 to 9</td>
    <td><p><strong>Optional (defaults to 0).</strong>Which font colour should be used to render this NFO file? Values are 0 to 9. 0 = White. 1 = Green. 2 = Amber. 3 = White on Blue. 4 = Deep Red. 5 = Black on White. 6 = Silver. 7 = Gold. 8 = Rainbow. 9 = Blue. You can create more font colour variations by modifying the Photoshop PSD file and generating a new <strong>nfo_font.png</strong>.</p><p>Examples:</p><p>&amp;color=6 (silver font)<br />&amp;color=0 (white font)</p></td>
</tr>
<tr>
    <td><em>bg</em><br />hex<br />#000000 to<br />#ffffff</td>
    <td><p><strong>Optional (defaults to black).</strong>The background colour to place the rendered font onto. The value should be given in hex (i.e. HTML style) and can be 3 or 6 characters in length. The hash (#) at the start is optional and on some PHP version will need to be excluded.</p><p>Examples:</p><p>&amp;bg=#fff or &amp;bg=#ffffff (white background)<br />&amp;bg=#fb1717 (deep red colour background)</p></td>
</tr>
</table>

</body>
</html>